{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:mangrove_roots",
          "functions": [
            {
              "function": "set_components",
              "components": {
                "item_name": {
                  "translate": "block.overlyrealistic.stick_confinement",
                  "fallback": "Stick Confinement",
                  "color": "white"
                },
                "custom_data": {
                  "or_edited_item": true
                },
                "max_stack_size": 32,
                "item_model": "overlyrealistic:blocks/stick_confinement"
              }
            }
          ]
        }
      ]
    }
  ]
}